Subject: [hrpc] ‘Master/Slave’ Terminology Was Removed from Python

From: Niels ten Oever <[email-masked]>
Date: Fri, 14 Sep 2018 15:14:32 +0200

Might be of interest:

‘Master/Slave’ Terminology Was Removed from Python Programming Language

https://motherboard.vice.com/en_us/article/8x7akv/masterslave-terminology-was-removed-from-python-programming-language

Also warrants the question whether there are parallels in vocabulary
used in the IETF.

Best,

Niels

-- 
Niels ten Oever
Researcher and PhD Candidate
Datactive Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488
                   643A 0ED8 3F3A 468A C8B3

---

From: Ted Lemon <[email-masked]>
Date: Fri, 14 Sep 2018 08:33:37 -0700

> Also warrants the question whether there are parallels in vocabulary

There are, and when I've raised this in the past I've been poo-poohed.   It would be nice if this could change.   Of course it's hard—the DNS uses the terms quite heavily, for example, and when I've suggested that "primary" and "secondary" be used instead, I've been told that the terms do not have exactly equivalent semantics, which I think is true, unfortunately.  So it's a hard problem, but I think a worthwhile one to work on.

---

From: Corinne Cath <[email-masked]>
Date: Fri, 14 Sep 2018 17:36:12 +0200

Hi Ted,

Other than people perceiving the "primary" "secondary" option being
insufficient, have you heard other reasons why people are reluctant to
retire the slave/master terminology?

Best,

Corinne

On Fri, Sep 14, 2018 at 5:34 PM Ted Lemon <[email-masked]> wrote:

> There are, and when I've raised this in the past I've been poo-poohed.
> It would be nice if this could change.   Of course it's hard—the DNS uses
> the terms quite heavily, for example, and when I've suggested that
> "primary" and "secondary" be used instead, I've been told that the terms do
> not have exactly equivalent semantics, which I think is true,
> unfortunately.  So it's a hard problem, but I think a worthwhile one to
> work on.
>
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
>

-- 
Corinne Cath - Speth
Ph.D. Candidate, Oxford Internet Institute & Alan Turing Institute

Web: www.oii.ox.ac.uk/people/corinne-cath
Email: [email-masked] & [email-masked]
Twitter: @C_Cath

---

From: Ted Lemon <[email-masked]>
Date: Fri, 14 Sep 2018 08:42:09 -0700

On Sep 14, 2018, at 8:36 AM, Corinne Cath <[email-masked]> wrote:
> Other than people perceiving the "primary" "secondary" option being insufficient, have you heard other reasons why people are reluctant to retire the slave/master terminology?

I think they just don't see it as particularly important, and there are a huge number of documents that use the terms, so fixing it would definitely create confusion and require work to be done.

Although actually in reading the current terminology document, it looks like in fact master has been deprecated in favor of primary, and slave in favor of secondary, so maybe it's less of an issue than I thought (the conversation I'm remembering was a few years ago, probably in the context of an IESG review of a DNS document).

The document still uses the term "master file" though, and the terms "master" and "slave" are documented, but now as deprecated synonyms rather than primary concepts.

Looking back at RFC 7719, which the new document replaces, it looks like master and slave were already deprecated then.

---

From: Fred Baker <[email-masked]>
Date: Fri, 14 Sep 2018 10:06:48 -0700

> Other than people perceiving the "primary" "secondary" option being insufficient, have you heard other reasons why people are reluctant to retire the slave/master terminology?

I would guess that it has to do with the dictionary definition of the term. You might look at definition 5a in https://www.merriam-webster.com/dictionary/master.

Primary/Secondary makes the two essentially equivalent, but using one of them in the normal state. That is common in BGP multihoming; a company might buy service from two ISPs (or two POPs of the same ISP), but in the normal case use one of them exclusively, switching to the secondary if and only if the primary fails.

Master/Slave has to do with control. For example (this one is old, but well-known), in SDLC as used by an IBM Front End (FEP) in communication with a set of 3170/3270 terminals, FEP decides which communicant gets to "speak" at any given time, that communicant speaks, and then returns control to the FEP. The FEP is the *master* in the sense of being entirely in control, consistent with Meriam-Webster definition 5a.

There being no human in the loop, its hard to say exactly how human rights might affect that. It is simply how the communication system works. And frankly, it's beyond me why someone would want to inaccurately describe the system for reasons related to political correctness.

---

From: Ted Lemon <[email-masked]>
Date: Fri, 14 Sep 2018 10:13:48 -0700

Fred, the issue is that these “technical” terms then get used in
professional contexts in which people for whom these terms have very
powerfully loaded non-technical meanings are forced to hear them over and
over again, which isn’t fun for them. And of course because the terms are
part of the technical vernacular, this can serve as cover to use them for
harassment.

Since they aren’t loaded for you personally, you can see this sensitivity
as useless political correctness. But it’s not—it’s just basic human
decency about a problem that isn’t obvious to those of us for whom these
terms don’t have this loaded meaning.

On Fri, Sep 14, 2018 at 10:06 AM Fred Baker <[email-masked]>
wrote:

> I would guess that it has to do with the dictionary definition of the
> term. You might look at definition 5a in
> https://www.merriam-webster.com/dictionary/master.
>
> Primary/Secondary makes the two essentially equivalent, but using one of
> them in the normal state. That is common in BGP multihoming; a company
> might buy service from two ISPs (or two POPs of the same ISP), but in the
> normal case use one of them exclusively, switching to the secondary if and
> only if the primary fails.
>
> Master/Slave has to do with control. For example (this one is old, but
> well-known), in SDLC as used by an IBM Front End (FEP) in communication
> with a set of 3170/3270 terminals, FEP decides which communicant gets to
> "speak" at any given time, that communicant speaks, and then returns
> control to the FEP. The FEP is the *master* in the sense of being entirely
> in control, consistent with Meriam-Webster definition 5a.
>
> There being no human in the loop, its hard to say exactly how human rights
> might affect that. It is simply how the communication system works. And
> frankly, it's beyond me why someone would want to inaccurately describe the
> system for reasons related to political correctness.
>
>

---

From: Tony Rutkowski <[email-masked]>
Date: Fri, 14 Sep 2018 13:57:36 -0400

Hi Fred,

The construct and terms are especially pervasive in timing and related
synchronization systems for centuries.  There are literally hundreds of
standards in existence that use the conconcept, as well as established
usage.  See, e.g., https://en.wikipedia.org/wiki/Master_clock

Primary and secondary are not the same.

Among other things, you'll have to let the NTP folks know.  The use of
the terms for DNS no doubt owes to the origins of DNS - conceived by
Dave Mills. :-)

cheers,
tony

---

From: Amelia Andersdotter <[email-masked]>
Date: Fri, 14 Sep 2018 20:25:10 +0200

> Master/Slave has to do with control. For example (this one is old, but well-known), in SDLC as used by an IBM Front End (FEP) in communication with a set of 3170/3270 terminals, FEP decides which c…

I was recently doing an overview of these terms, and some alternatives
from database standards are "master/replica", "primary/replica" or
"master/secondary". The replicated bit would be the instruction from the
primary/master.

> There being no human in the loop, its hard to say exactly how human rights might affect that. It is simply how the communication system works. And frankly, it's beyond me why someone would want to…

The contention is similar as to if it were proposed to change master to
"boss" and slave to "worker". Boss/worker would still accurately
describe the control relationship, and would not have connotations to
historically unjust relationships between peoples of different backgrounds.

best regards,

Amelia

-- 
Amelia Andersdotter
Technical Consultant, Digital Programme

ARTICLE19
www.article19.org

PGP: 3D5D B6CA B852 B988 055A 6A6F FEF1 C294 B4E8 0B55

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 14 Sep 2018 13:21:40 -0700

Recently, even:
  https://tools.ietf.org/html/rfc8163

> On 14 Sep 2018, at 6:14 am, Niels ten Oever <[email-masked]> wrote:
> 
> Might be of interest:
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: [email-masked]
Date: Fri, 14 Sep 2018 21:01:17 -0400

My knee-jerk reaction is that this thread is silly but I suppose it
came up for a reason.

Other terms are used to express the same or similar concepts,
server/client and daemon/client come to mind. A daemon is a piece of
software on a server system which is always present (or appears to be)
and wakes up when a specific request arrives. For example one often
speaks of the mail daemon which accepts incoming email (MTA, mail
transfer agent.)

In the technical community, depending on the context, they might even
be expressing shades of gray which the non-technical might have
trouble grasping. For example FTP (file transfer protocol) switches
roles between server and client during normal operation.

A lot of software particularly in the CMS (content management system)
sphere has facilities for "role" which might be hierarchical ("admin",
"guest") or might be just distribution of labor ("editors".)

In the popular X11 window system the "server" software runs on the
client (e.g., PC or laptop) and the "client" software generally runs
on the server (the big beefy box) sometimes causing much confusion.

Many years ago "local user" on many time-sharing systems got shortened
(in the software also) to "luser" (read: loser) which no doubt was
meant to be humorous but often implied a class structure: People who
ran the systems (high priests) and had system privileges vs those who
were merely unprivileged rabble (users, lusers.)

In my (ISP) company I always eschewed the use of "user" and preferred
"customer". "User" always had a negative or at least dehumanizing
connotation to me.

I think it was Dave Clark (MIT) who is credited with saying that a
computer operating system etc is basically just a way to rename
things.

Meaning to create layers upon layers of abstractions and giving the
pieces new names presumably until those who have to use those
abstractions are comfortable.

We don't like to enter hex codes or binary so we assign names to those
codes, we group those codes into programs and give those programs
names, etc.

But it doesn't really change their nature except in our mental
abstractions, it's all just ones and zeros banging around.

-- 
        -Barry Shein

Software Tool & Die    | [email-masked]             | http://www.TheWorld.com
Purveyors to the Trade | Voice: +1 617-STD-WRLD       | 800-THE-WRLD
The World: Since 1989  | A Public Information Utility | *oo*

---

From: Mallory Knodel <[email-masked]>
Date: Sat, 15 Sep 2018 12:19:54 +0000 (UTC)

Ted’s quick research results heartened me but then Mark posted an 8000 series RFC using the terms, I’m the title even!

I would imagine there’s even less progress on blacklist/whitelist. Always happy to be wrong about these things.

-M

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 15 Sep 2018 13:50:18 +0100

On 15/09/18 13:19, Mallory Knodel wrote:
> I would imagine there’s even less progress on blacklist/whitelist.
> Always happy to be wrong about these things.
Blocklist is fairly commonly used in anti-spam. I'm not sure
there's a good alternate term for whitelist that'd work as a
noun and verb.

As to the thread in general: I'm not sure these terms are so
hugely problematic, but I do think it's good to consider if
there are useful alternative terms with less baggage and to
try encourage (but not try enforce) use of those where they're
useful enough terms.

S.

---

From: Mallory Knodel <[email-masked]>
Date: Sat, 15 Sep 2018 12:57:45 +0000 (UTC)

Blocklist and allowlist. 

The latter is no more clunky than the former. 

Already in use by some folks. 

-M

----- Original Message -----
From: Stephen Farrell <[email-masked]>
To: Mallory Knodel <[email-masked]>, Ted Lemon <[email-masked]>
Cc: Corinne Cath <[email-masked]>, Hrpc <[email-masked]>, Niels ten Oever <[email-masked]>
Sent: Sat, 15 Sep 2018 12:50:18 -0000 (UTC)
Subject: Re: [hrpc] ‘Master/Slave’ Terminology Was Removed from Python

S.

---

From: Mark Nottingham <[email-masked]>
Date: Sun, 16 Sep 2018 18:31:56 -0400

https://everyrfc.org/?search=black

> On 15 Sep 2018, at 8:19 am, Mallory Knodel <[email-masked]> wrote:
>

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 18 Sep 2018 13:16:19 +0200 (CEST)

> Il 14 settembre 2018 alle 20.25 Amelia Andersdotter <[email-masked]> ha scritto: 

I don't know how serious this idea is, but as the managing person for a couple of developers, I would be offended if someone alleged that the "boss/worker" relationship is the same as "master/slave", or used the term "worker" as a synonymous replacement for "slave". Actually, modern workplace relationships are in good measure the replacement for ancient slavery-based ones, and one would hope that some progress had been done in the intervening centuries.

Also, the "whitelist" and "blacklist" expressions originally derive from the contrast between day and night and have nothing to do with ethnicity or racism.

Regards,
-- 

Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked]
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 18 Sep 2018 13:29:59 +0200

> I don't know how serious this idea is, but as the managing person for a couple of developers, I would be offended if someone alleged that the "boss/worker" relationship is the same as "master/slave…

I don't think Amelia suggest that. She just suggested better wording,
which would be less hurtful, and which would still describe the
technical abstraction sufficiently.

> Also, the "whitelist" and "blacklist" expressions originally derive from the contrast between day and night and have nothing to do with ethnicity or racism.

May I suggest that this is not only about where something originates
from, or how it makes _you_ feel, but how it makes people from other
backgrounds feel?

Also, I would be interested to read origin story of whitelists and
blacklist, so any reference would be appreciated. I thought it came from
a conception that white is good and black is bad, which of course is
inherently problematic. But am always happy to learn.

Best,

Niels

---

From: Eliot Lear <[email-masked]>
Date: Tue, 18 Sep 2018 13:39:29 +0200

This reminds me of a ridiculous incident that happened some 30 years
ago.  One of my friends (Bcc'd) was working for a state educational
online computing service.  One of the people using the service got
offended by the fact that there was a "man" program, but no "woman"
program.  After unsuccessfully attempting to explain that "man" stood
for "manual", he was forced to link "woman" to "man".  Naturally, he had
to create a "woman" man (woman) page.  The story goes, the "woman" page
contained something along the lines of, “Woman does everything man does,
but gets paid 25% less."  I'm confident certain people were *not* amused.

> There being no human in the loop, its hard to say exactly how human rights might affect that. It is simply how the communication system works. And frankly, it's beyond me why someone would want to…

I entirely agree, and would go further: even spending time on discussing
this detracts from discussion of *actual* human rights issues, and
serves only to further marginalize this group from governments.  We keep
hearing every day as to how governments want to further gain access to
individual online information.  How is this group getting ahead of that
conversation?

Eliot

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 18 Sep 2018 14:03:19 +0200 (CEST)

> Il 18 settembre 2018 alle 13.29 Niels ten Oever <[email-masked]> ha scritto:

Less hurtful for whom? To me "master/slave" is not offensive, but "boss/worker" used with that meaning is. Note that I am not advocating that we necessarily keep using "master/slave" or that it is not offensive for others, I am just pointing out that "boss/worker" is offensive for me.
 
> inherently problematic. But am always happy to learn.

Well, anthropologically it's just that: human brains are programmed to think that white (light) is good and black (dark) is bad - fighting this may be good, but there is not much you can do about it, at least in a life's timeframe. So I am absolutely fine if you find alternative language, but at the same time I am wondering where this ends. Is it offensive to have a movie where vampires wear black coats? Or, as widely held in many countries, to assume that a black cat crossing your path brings bad luck? Should we forbid the use of the black colour in conjunction with any negative connotation? But then, why should this instead be ok if the colour is white, yellow or red? So how can you make this work in practice without being unfair to anyone? And isn't this actually strengthening the perception that the colour of someone's skin is relevant, which is what we actually should be fighting?

Also, I hope I won't offend anyone, but: are you sure that the use of the terms "master" and "slave" is an important equality issue inside an organization where the broad majority of the participants seems to be white, anglosaxon and male, where the attendees mailing list just a couple of weeks ago hosted a thread on how in "less developed countries" like Thailand you cannot trust the law as you can do in the U.S., and where laughing at people and questioning their professional credentials in public seems to be the ordinary way to express disagreement at meetings?

Regards,
--

---

From: Tony Rutkowski <[email-masked]>
Date: Tue, 18 Sep 2018 08:07:38 -0400

Hi Eliot,

It would also be great to get support for draft-rutkowski-hrpc-hraas-00
as a group draft.  It rather uniquely actually identifies all the human
rights provisions and their associated instruments to further the work
of the group - to they can be evangelized and used for the analysis of
protocols and service offerings.  The -01 version will expand the draft
further.

Everyone likes to use the term "human rights."  Few are familiar with
what they actually are.  It would be a shame to move the draft to
another venue because hprc was only interested in discussing
master-slave timing and synchronization terminology.

--t

On 18-Sep-18 7:39 AM, Eliot Lear wrote:
> I entirely agree, and would go further: even spending time on
> discussing this detracts from discussion of *actual* human rights
> issues, and serves only to further marginalize this group from
> governments.  We keep hearing every day as to how governments want to
> further gain access to individual online information.  How is this
> group getting ahead of that conversation?

---

From: Ted Lemon <[email-masked]>
Date: Tue, 18 Sep 2018 09:50:05 -0400

> I don't know how serious this idea is, but as the managing person for a couple of developers, I would be offended if someone alleged that the "boss/worker" relationship is the same as "master/slave…

Perhaps a different way to look at this is that in fact the reason that it's better to say boss/worker is precisely because it's a better example of a relationship where one agent is in charge and the other is taking direction.

That said, I'm not in love with "boss/worker" either, probably for the same reason you are—I think that most of the time these relationships really aren't much about control.

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 18 Sep 2018 16:14:50 +0200

> Also, I hope I won't offend anyone, but: are you sure that the use of the terms "master" and "slave" is an important equality issue inside an organization where the broad majority of the participan…

During the early years of the IETF and its
   antecedent, participation was almost entirely composed of a small
   group of well-funded, American, white, male technicians,
   demonstrating a distinctive and challenging group dynamic, both in
   management and in personal interactions.  In the case of the IETF,
   interaction style can often contain singularly aggressive behavior,
   often including singularly hostile tone and content.  Groups with
   greater diversity make better decisions.  Obtaining meaningful
   diversity requires more than generic good will and statements of
   principle.  Many different behaviors can serve to reduce participant
   diversity or participation diversity.

-RFC7704

I agree with you that these are all important issues, and I think they
are interconnect, and I hope we can collaboratively work on them.

Best,

Niels

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 18 Sep 2018 16:25:25 +0200

On 09/18/2018 01:39 PM, Eliot Lear wrote:
>> There being no human in the loop, its hard to say exactly how human rights might affect that. 

The humans that are involved are the developers, network operators, and
standard developers and implementors.

>> It is simply how the communication system works.

As system never 'simply works'. There are many different ways in which
tasks can be undertaken, leading to different orderings of systems and
societies. Creating opportunities for one, or impossibilities for
others. So there is nothing simple about it. If you are simply OK with
the ordering it means the ordering is OK for _you_.

> And frankly, it's beyond me why someone would want to inaccurately describe the system for reasons related to political correctness.

Maybe you can help finding better abstractions and metaphors.

> this detracts from discussion of *actual* human rights issues, 

Inclusion, as well as cultural and economic rights are actual human
rights issues.

> and

I think it would be a pity if we would limit the discussion here to the
right to privacy - also since that discussion is also being discussed
(and has been discussed at length) in the IETF.

Best,

Niels

---

From: Fred Baker <[email-masked]>
Date: Tue, 18 Sep 2018 10:27:37 -0400

On Sep 18, 2018, at 8:07 AM, Tony Rutkowski <[email-masked]> wrote:
> It would also be great to get support for draft-rutkowski-hrpc-hraas-00 as a group draft.  It rather uniquely actually identifies all the human rights provisions and their associated instruments to further the work of the group - to they can be evangelized and used for the analysis of protocols and service offerings.  The -01 version will expand the draft further.

I can go either way on it being a group draft. In the IETF, we use Working Group draft status to distinguish work products of a working group from those of an individual or set of individuals, and to move content control from the original author(s) to the working group. HRPC is a research group; RGs don't have the same concept of content control or group development. As I read the draft, it restates the content of the UDHR, ICCPR, and CESCR, but doesn't inform the RG in any way that the original documents didn't already accomplish beyond identifying some specific conventions on the topic.

> Everyone likes to use the term "human rights."  Few are familiar with what they actually are.  It would be a shame to move the draft to another venue because hprc was only interested in discussing master-slave timing and synchronization terminology.

I consider the terminology thread to be off-topic from the RG, as it has nothing whatsoever to do with human rights in the Internet or their exercise.

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 18 Sep 2018 17:41:47 +0300

On 18/09/18 14:39, Eliot Lear wrote:
>> There being no human in the loop, its hard to say exactly how human
>> rights might affect that. It is simply how the communication system
>> works. And frankly, it's beyond me why someone would want to
>> inaccurately describe the system for reasons related to political
>> correctness.
> 

I'm increasingly interested in the inertia around this and other
terminology. Of course we like to frame things in such a way that puts
"the tech just working" at the centre. But then what about the
terminology, or a change in equal terminology, gets in the way of that?

On the one hand folks say words don't matter. But then on the other hand
they seem to be very committed to the words that are already there.

And what Neils and others have said is that some words do matter to some
people. So shouldn't the people who do feel strongly about the words (as
long as it doesn't get in the way of the tech just working) have their way?

-Mallory

-- 
Mallory Knodel
Head of Digital :: article19.org
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9  B071 0C32 A271 BD3C C780

---

From: Fred Baker <[email-masked]>
Date: Tue, 18 Sep 2018 10:46:11 -0400

> On Sep 18, 2018, at 10:25 AM, Niels ten Oever <[email-masked]> wrote:

Tony has done us the favor of listing those considerations in one document that is accessible on the web. Which of those people are constrained in any of the ways that his draft specifies? Be specific, no hand-waving.

> the ordering it means the ordering is OK for _you_.

Eliot's comment on the existence of a "man" (manual) page triggering someone who misunderstood the term in context is important in this context. I'm sorry that people who don't choose to read the dictionary and apply context in their discussion are offended by the correct use of a term in the context in which it is used. I remain unconvinced that human rights considerations are relevant in a context in which there are no humans involved.

> Maybe you can help finding better abstractions and metaphors.

My first question is about "better". If it is incorrect, is it better?

> Inclusion, as well as cultural and economic rights are actual human

If we are talking about human beings, you're correct. In this context, we aren't talking about human beings.

> (and has been discussed at length) in the IETF.

The privacy of *human*beings* has been discussed in the IETF.

--------------------------------------------------------------------------------
Victorious warriors win first and then go to war,
Defeated warriors go to war first and then seek to win.
     Sun Tzu

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 18 Sep 2018 17:49:54 +0300

On 18/09/18 15:03, Vittorio Bertola wrote:
> 
>> Il 18 settembre 2018 alle 13.29 Niels ten Oever
>> blacklist, so any reference would be appreciated. I thought it came
>> from a conception that white is good and black is bad, which of
>> course is inherently problematic. But am always happy to learn.
> 
> Well, anthropologically it's just that: human brains are programmed
> to think that white (light) is good and black (dark) is bad -
> fighting this may be good, but there is not much you can do about it,

We do have control over the language that is used in the IETF. Let's not
let the world's problems defeat us from solving issues right in front of us.

> at least in a life's timeframe. So I am absolutely fine if you find
> alternative language, but at the same time I am wondering where this
> ends. Is it offensive to have a movie where vampires wear black
> coats? Or, as widely held in many countries, to assume that a black
> cat crossing your path brings bad luck? Should we forbid the use of
> the black colour in conjunction with any negative connotation? But
> then, why should this instead be ok if the colour is white, yellow or
> red?

Probably we can't control those other things. And that's okay!

> So how can you make this work in practice without being unfair
> to anyone? And isn't this actually strengthening the perception that
> the colour of someone's skin is relevant, which is what we actually
> should be fighting?

Focussing on language issues does not stop us from doing other things.
This could be (is being) done in parallel by folks here and elsewhere.

It's important within these huge questions of rights and justice to keep
the frame in focus. What we can control and what we can't.

The IETF has a role to play here. It may be pretty small in the grand
scheme of things, but it's our role and no one else's.

To tiny needle nudges,

-Mallory

---

From: Tony Rutkowski <[email-masked]>
Date: Tue, 18 Sep 2018 10:53:40 -0400

Thanks, Fred.

No problem with the group draft and control.  It seems also like a good
team building endeavor.

The draft is considerably more inclusive in identifying all the relevant
instruments.  It drills down on which specific rights provisions are
relevant, as many of rights are not relevant to network protocols and
services.  It tags each right with a consistent identifier that enables
some measure of consistency and comparison in applying it to protocols
and services not only in the IETF, but other bodies as well.

Best of all, it seems very much within the scope of the group and
arguably has broad value.

--tony

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 18 Sep 2018 17:08:58 +0200

> Tony has done us the favor of listing those considerations in one document that is accessible on the web. Which of those people are constrained in any of the ways that his draft specifies? Be speci…

Non-user facing protocols allow what is possible on the most influential
information network that we currently have. The Internet mediates
important public societal debates and is also reshaping the relationship
between states and their citizens. In this sense Internet protocols,
that partly produce this new ordering, impact freedom of expression, the
right to political participation, the right to science, and the right to
a social and international order.

If one uses language that unnecessarily offends and excludes specific
societal groups this touches upon the human right of equality the right
to be not discriminated against, but also on important human rights
principles such as inclusion as well as due process.

How this works out in specific cases depends on specific reviews, but
that no user sees a protocol does not mean society is not impacted by
it, nor that he rights of others are not infringed upon, either directly
or indirectly through a reordering of structures of power.

> Eliot's comment on the existence of a "man" (manual) page triggering someone who misunderstood the term in context is important in this context. I'm sorry that people who don't choose to read the d…

So you think developers, implementers, network operators and standards
developers are not humans?

> My first question is about "better". If it is incorrect, is it better?

So you think you cannot find another correct abstraction or analogy? I
guess the Python community was more creative (or flexible) then.

This all does not work for you?

[quote]
Thus, “slaves” was changed to “workers” or “helpers” and “master
process” to “parent process.”
[/quote]

---

From: Fred Baker <[email-masked]>
Date: Tue, 18 Sep 2018 11:34:01 -0400

> or indirectly through a reordering of structures of power.

So let me throw out another example. The use of the terms "master" and "slave" are more tenuous in this context, so we don't actually use them - it's more a case of a gatekeeper, which is one of the terms often used. But, for sake of argument, consider SIP, which is a protocol used to set up real time sessions (in the sense that RFC 1633 uses the term). If one instruments opens a phone call or a video session with another instrument (yes, there is often a human directing that at one end, but usually not at the other, and in telemetry there is usually no human at all), there is often a policy of some sort in control, and the SIP server has the job of enforcing that. Policy considerations often include some limited number or bandwidth - if you have ten 4K pixel TVs in your home, each of which is capable of 18 MBPS unidirectional traffic, some entity may be imposed to limit the number of such sessions that may be opened simultaneously in order to not exceed the bandwidth you have purchased. The gatekeeper/controller/orchestrator/master/whatever has the authority to refuse a new session within the context of the policy.

So, OK, you purchased 50 MBPS and have ten 4K TVs. The gatekeeper will permit no more than three simultaneously for bandwidth management reasons, or will force them to reduce their bandwidth consumption by using HD (5 MBPS) or SD (2.5 MBPS) encoding.

Be specific, no hand-waving. Which developer's, network operator's, standard developer's, or implementor's (or, for that matter, user's) human rights are abridged, and which of the rights listed in Tony's draft is abridged?

---

From: Ted Lemon <[email-masked]>
Date: Tue, 18 Sep 2018 13:12:18 -0400

> Be specific, no hand-waving. Which developer's, network operator's, standard developer's, or implementor's (or, for that matter, user's) human rights are abridged, and which of the rights listed in…

Anybody who has to use the term for whom the term is loaded is affected, including developers, operators, standard developers and implementors.   Anyone who has to listen to someone using the term, in a situation where if that person were an abuser they might use it abusively, is affected.

I don't see a link to Tony's document, but the rights being abridged here are the right not to be harassed and the right to work in a work environment that is not hostile to certain people and not to others depending on their race or ethnic heritage.  Bear in mind that a differentially-hostile work environment is in some ways worse than a uniformly hostile environment: if everybody is being treated badly, that's bad, but if only you are being treated badly, then that creates a whole new dynamic of badness.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 18 Sep 2018 19:36:23 +0200

On 18.09.18 19:12, Ted Lemon wrote:
> On Sep 18, 2018, at 11:34 AM, Fred Baker <[email-masked]
> <mailto:[email-masked]>> wrote:
>> Be specific, no hand-waving. Which developer's, network operator's,
>> standard developer's, or implementor's (or, for that matter, user's)
>> human rights are abridged, and which of the rights listed in Tony's
>> draft is abridged?
>
> Anybody who has to use the term for whom the term is loaded is
> affected, including developers, operators, standard developers and
> implementors.   Anyone who has to listen to someone using the term, in
> a situation where if that person were an abuser they might use it
> abusively, is affected.

I think Fred's point is that we are shadowboxing.

Eliot

---

From: Tony Rutkowski <[email-masked]>
Date: Tue, 18 Sep 2018 13:37:34 -0400

The case example there illustrates why the draft-rutkowski-hrpc-hraas ID
is valuable.  It forces an identification of explicit human rights
provisions that are potentially enforceable rather than just a generic
reference an abstraction.  It even potentially allows you to do searches
for legislative, regulatory, or case law.  Doing so bolsters your arguments.

--t

On 18-Sep-18 1:12 PM, Ted Lemon wrote:
> I don't see a link to Tony's document, but the rights being abridged
> here are the right not to be harassed and the right to work in a work
> environment that is not hostile to certain people and not to others
> depending on their race or ethnic heritage.  Bear in mind that a
> differentially-hostile work environment is in some ways worse than a
> uniformly hostile environment: if everybody is being treated badly,
> that's bad, but if only you are being treated badly, then that creates
> a whole new dynamic of badness.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 18 Sep 2018 20:14:23 +0200

> terminology, or a change in equal terminology, gets in the way of that?

The use of language itself is inertia by design, and that inertia means
that we have a common understanding of its underlying meaning.
> long as it doesn't get in the way of the tech just working) have their way?

When we needlessly change language for imagined reasons, all we do is
increase barriers to communication, having wasted a lot of time in the
process of doing so. Even with need, it's a matter of priorities.  Guess
where this one sits on my list.

---

From: Melinda Shore <[email-masked]>
Date: Tue, 18 Sep 2018 10:29:10 -0800

On 9/18/18 10:14 AM, Eliot Lear wrote:

> increase barriers to communication, having wasted a lot of time in
> the process of doing so. Even with need, it's a matter of priorities.
> Guess where this one sits on my list.

I guess our history of difficult discussions in the I*TF suggested
that this one was likely to go off the rails, and so it did.
Personally, I don't find it particularly onerous to change my
language use, although I'll acknowledge that it may be more
challenging for non-native speakers.  That said, IETF documents
are developed through a group process, and if someone's struggling to
find a less problematic synonym there's a good chance that there's
someone around who can help.  I'm also not sure how this is a language
"change" issue, at least not in a linguistic sense, but either way I
think it might help if folks could avoid the "imagined reasons"
characterizations.

I'll note that there are tons of existing IETF documents that
do not use master/slave, with "controller" and "client" being very
widely used.  Anyway, the Python community has a long history of being
very concerned with inclusivity and they've made a number of
efforts over the years to try to avoid alienating people unnecessarily.
That's what they've done in this case.  I expect it's a failure of
empathy on my part to be unable to understand why that's a problem.

Melinda

-- 
Software longa, hardware brevis

PGP key fingerprint  4F68 2D93 2A17 96F8 20F2
                     34C0 DFB8 9172 9A76 DB8F

---

From: Ted Lemon <[email-masked]>
Date: Tue, 18 Sep 2018 14:54:29 -0400

> where this one sits on my list.

If we were needlessly changing language for imagined reasons, I would understand why you were concerned about the waste of time.

However, we are not: this is a real issue that affects real people.   The city of Los Angeles has a policy that vendors are requested (not required) to avoid this terminology because an employee complained about the use of the terms master and slave in an AV setup, and the city management agreed with the employee that this created a hostile work environment.

I think the sense in which you think it's shadowboxing is that it's not your problem and not my problem: we are not going to experience the use of this language as creating a hostile work environment.   But we are, I think, capable of putting ourselves in others' shoes, and I hope that you can see as clearly as I do that this language can, for some people, create a hostile work environment.

So in what sense is this really shadowboxing?

---

From: [email-masked]
Date: Tue, 18 Sep 2018 15:27:54 -0400

FWIW the Apache web server (most popular web server on the net) refers
to compute threads which handle each request (in their mpm
configuration) as "worker" processes.

Unless a term is inherently offensive in any context, and I don't even
think "slave" as in "master/slave" would qualify since we are talking
about abstract, inanimate objects, this doesn't seem like a good use
of time.

-- 
        -Barry Shein

---

From: Ted Lemon <[email-masked]>
Date: Tue, 18 Sep 2018 15:42:25 -0400

> about abstract, inanimate objects, this doesn't seem like a good use

The bulk of the time has actually been spent arguing about whether it's worth spending time on it.   You used Apache's terminology as a way to support this point, I think, but in fact Apache apparently chose not to use the more loaded term, and that was a smart choice on their part.   "Worker thread" perfectly describes what is going on.   How much time has it saved the Apache team to not have to have this argument over and over again?

Because make no mistake, we will keep having this argument over and over again until we change our practices, because although this isn't a problem for us, you and me, Barry, it is very definitely a problem/irritant for other people, and they are going to keep complaining about it.   And they have every right to do so.   So if your goal is to save time, now would be a good time to stop arguing against this.

---

From: [email-masked]
Date: Tue, 18 Sep 2018 16:09:10 -0400

Blacklist almost certainly derives from "blackballing" which has
verifiable origins in the 18th century including black/white ball
voting boxes.

Typically it was a secret ballot where one voted their approval or
disapproval by dropping either a white or black ball or stone into a
box in a secretive way. A variant goes the other way where several
white balls and one black ball is placed in a box and drawn blind,
whoever draws the black ball gets some undesirable outcome, like short
straws etc.

So to be blackballed is to lose the vote which often came to mean
being banned from some organization or to be chosen for some
undesirable outcome. Hence, blacklist, those who have been
blackballed, chosen for some negative outcome.

  https://en.wikipedia.org/wiki/Blackballing

Why black and white? Probably because black and white stones were easy
to find and unambiguous.

"Man" as in manual derives from the Latin "manus" meaning hand, also
"manning the barricades" which refers to hands not gender tho no doubt
usage often implies gender in people's minds.

As to whether language referring to non-human objects is important or
not we might consider the debate over sports team naming where the
naming refers to an ethnic group (e.g., if you need an e.g.,
Washington Redskins) Some have objected to this.

Some credible surveys of the ethnic group involved indicated many
think it's ok...I could dig up the Annenberg survey done at CMU,
albeit I believe in 1991, which resulted in 90% of Native Americans
asked thought the name "Washington Redskins" was ok and not
derogatory, I wouldn't take that as conclusive though.

WHICH RAISES ANOTHER ISSUE...when are we avoiding a term some might
find offensive, and when are we scrubbing the language as if to deny
history? For example, slaves exist and have existed in all of recorded
history, banning the term won't free them or undo the history.

I still tend towards if a term is offensive in most any context then
it's a problem. If not then probably not.

-- 
        -Barry Shein

---

From: Eliot Lear <[email-masked]>
Date: Wed, 19 Sep 2018 01:13:21 +0200

Hi Ted,

On 18.09.18 20:54, Ted Lemon wrote:
> On Sep 18, 2018, at 2:14 PM, Eliot Lear
> <lear=[email-masked]
> <mailto:lear=[email-masked]>> wrote:
> If we were needlessly changing language for imagined reasons, I would
> understand why you were concerned about the waste of time.

Good.
>
> However, we are not: this is a real issue that affects real people.  
> The city of Los Angeles has a policy that vendors are requested (not
> required) to avoid this terminology because an employee complained
> about the use of the terms master and slave in an AV setup, and the
> city management agreed with the employee that this created a hostile
> work environment.

As you yourself pointed out, that was because of a single person.  The
choice for the city was slap stickers on or get sued.  How much brain
power do you think went into that decision?  If memory serves it was
also withdrawn.

>
> I think the sense in which you think it's shadowboxing is that it's
> not your problem and not my problem: we are not going to experience
> the use of this language as creating a hostile work environment.  

I would be very grateful if you could explain who is actually offended
and why.  Apart from the one guy, who is actually taking offense?

> But we are, I think, capable of putting ourselves in others' shoes,
> and I hope that you can see as clearly as I do that this language can,
> for some people, create a hostile work environment.

I agree in principle.  But the instant claim of who this is actually
offending is as of yet unsubstantiated after repeated requests, both
here and in the Python PRs, as well as in the Kubernetes PRs (Why I
looked, I don't know - jetlag?).    Absent that substantiation we really
are shadowboxing.

Eliot

---

From: Fred Baker <[email-masked]>
Date: Tue, 18 Sep 2018 18:34:32 -0600

> I think Fred's point is that we are shadowboxing.

Hello from Denver, en route home. Yes. The topic of the list is human rights in protocol design. My point is that this is extremely hypothetical, and no instance of a specific human being with a specific human right has been shown to be affected. Niels and Ted have mentioned theoretical people that in theory could be, but not people who have, and rights that could in theory have been tested, but none which actually have. I’m asking “where’s the beef?” 

We’re shadow boxing.

---

From: Ted Lemon <[email-masked]>
Date: Tue, 18 Sep 2018 22:25:17 -0400

On Sep 18, 2018, at 7:13 PM, Eliot Lear <[email-masked]> wrote:
> As you yourself pointed out, that was because of a single person.  The choice for the city was slap stickers on or get sued.  How much brain power do you think went into that decision?  If memory serves it was also withdrawn.

No, it wasn't.   It's just a request, not a requirement.   The Python change was motivated by private complaints.   What does that tell you?   It tells me that the people doing the complaining are uncomfortable doing so publicly; this isn't shocking, given the way people who make requests like this are treated in the twitterverse and on the news.   The redis change was motivated by a public vote, where a majority of those who responded said they wanted the change.

Now it's possible that those people didn't actually have a personal concern, but I don't think we can measure that.   It's not possible to use Google for this because there are too many results having to do with, well, actual slavery.

So yeah, if you want to put the burden of proof on the complainers, then we might be dealing with this for a while before they're comfortable enough to speak up publicly.   Maybe in 20 years, if the current political situation leads to reform and not dystopia.

---

From: Mallory Knodel <[email-masked]>
Date: Wed, 19 Sep 2018 14:56:00 +0300

On 18/09/18 17:46, Ted Lemon wrote:
> On Sep 18, 2018, at 10:41 AM, Mallory Knodel <[email-masked]
> <mailto:[email-masked]>> wrote:
> This is particularly problematic because (I believe, possibly
> incorrectly) none of us participating in this problem are people for
> whom these words are particularly loaded.   So some of us are arguing
> that we probably ought to use different words, because we believe that
> there is a problem and that the people for whom the problem exists will
> not feel comfortable raising it.   Others are not sure there is a
> problem, or don't believe it is important, but again are not people for
> whom the problem exists.   So we are doing a bit of a shadow dance
> trying to address this problem.
> 
> And yet it seems pretty clearly to me to be a real problem; whether it
> is important enough to spent cycles addressing is I suppose a topic for
> debate, and one that none of us are truly competent to assess.
> 
> To Eliot's point, one of the challenges we face is that we don't have
> much ability to affect how governments behave.   But we do have the
> ability to affect how /we/ behave.

This line of reasoning is flawed:

 1. Human rights and justice are not relative, they are absolute.

 1.a. Rights are not a question of important enough.

 1.b. Oppression doesn't need to affect one directly for one to consider
it important.

 2. Targetting the process, "we don't have the right people in the
room," rather than the content is a distraction.

 3. Requiring oppressed people to be the ones to stand up for
themselves, and to adequately explain their pain to oppressors, is a
constant drain. This problem has been identified. It is real. It is the
role of allies in spaces where they have privilege to stand up for
absolute justice (see point 1).

And I would add encouragement: We are competent enough to
s/master/[replacement_for_master] and to speak to the IETF community
about why it's important. We're doing it right now.

-Mallory

---

From: Eliot Lear <[email-masked]>
Date: Wed, 19 Sep 2018 16:02:49 +0200

Mallory,

> absolute justice (see point 1).

Putting aside for the moment whether RGs should ally with anyone, for
the 4th or 5th time (I'm losing count), just who in this instant case
are we supposed to be allying with and how do they believe they're
oppressed?  This is supposed to be a research group.  If you have
findings please share them.  Expressing findings is a great way to
inform participants.  Otherwise, how about we follow the rule of
research and assume that our own counterfactual assertions are false?

Eliot

---

From: [email-masked]
Date: Wed, 19 Sep 2018 13:24:37 -0400

Question: What does "shadowboxing" mean in this context?

I've always used it in online discussions to refer to someone who
argues with what they wished you had said because they have some
canned or soundbite argument for that.

-- 
        -Barry Shein

---

From: Mallory Knodel <[email-masked]>
Date: Wed, 19 Sep 2018 21:19:33 +0300

On 19/09/18 17:02, Eliot Lear wrote:
> On 19/09/18 14:56, Mallory Knodel wrote:

Check out the OP:

And LMGTFY:

"We need better metaphors"
https://current.workingdirectory.net/posts/2011/master-slave/

"Master/slave' named most politically incorrect term"
https://www.seattlepi.com/national/article/Master-slave-named-most-politically-incorrect-1161133.php

"Python joins movement to dump 'offensive' master, slave terms"
https://www.theregister.co.uk/2018/09/11/python_purges_master_and_slave_in_political_pogrom/

"Replace 'master/slave' terminology with 'primary/replica'"
https://www.drupal.org/project/drupal/issues/2275877

"Even in tech, words matter"
https://deninet.com/blog/2018/09/09/even-tech-words-matter

---

From: [email-masked]
Date: Wed, 19 Sep 2018 14:40:51 -0400

Occasionally it occurs to me how differently human rights are treated
even among countries one might think were very similar.

In the current issue of The Economist (Sept 15-21 2018, 175th
anniversary edition), a UK publication, I see the following ("Weak is
strong", p 16):

  "...As Congress has grown incapable of passing laws involving even
  straightforward political trade-offs, power has flowed to the
  executive and judicial branches. Political questions best settled by
  the ballot box -- about abortion, for instance, or gay marriage --
  have become legal ones settled by nine unelected judges."

No doubt one can find a spectrum of opinion but as an American I find
that statement shocking.

Rights shouldn't be a matter for the ballot box. 51% of the people
shouldn't be able to vote to kill or enslave the other 49%.

Their two examples, abortion and gay marriage, are perfect
counter-examples to what they are trying to say.

A woman has a right to privacy or she doesn't. If she has that right
as decided in Roe v Wade based on constitutional arguments then one
cannot make it a subject of a popular vote -- other than the nuclear
option: change the US constitution.

Similar, worse actually, for gay rights. Worse because only about
10-15% of the US population identifies as gay while 51% of the
population are women vis a vis abortion. So let the other 85% vote on
their rights? But to even say that draws one into a game of who has a
legitimate voting interest in a matter.

Gay marriage in the US was first enabled in the US when the
Massachusetts Supreme Judicial Court decided that the state has no
legitimate interest in preventing it (2004.) And later the US supreme
court agreed. It wasn't a grant or a privilege, it was a recognition
that prohibiting gay marriage had been wrong all along.

Without belaboring those specific issues the point is how startling
The Economist's take is on these human rights issue to me. And this is
in a "leader" article from their editorial staff, words it's safe to
assume they considered very carefully.

It is as if they have trouble grasping the notion of a human right
recognized and clarified by a court as enshrined in a constitution
versus polling the public via ballot boxes.

And this is the US and UK, perhaps two of the closest countries
culturally in the world.

It gives one pause.

-- 
        -Barry Shein

---

From: Eliot Lear <[email-masked]>
Date: Wed, 19 Sep 2018 21:17:35 +0200

> canned or soundbite argument for that.

To me it is "addressing an imagined problem".  But- see my next message.

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Wed, 19 Sep 2018 21:18:07 +0200

Hi Mallory,

Thank you.  Please see below.

Of the links, the only one that REALLY demonstrates actual offense to an
individual is this one, and it's somewhat third hand.

This is perhaps the most damning:

> Somehow even this has a sexist angle: in the Django issue a devops
> person (presumedly female) complains about others making dominatrix
> jokes at her because of master/slave terminology 

yeah, that's definitely not ok.  If the terminology is facilitating
abuse, then surely it should be avoided.  And if there is really more of
this, then I'll sit down.  That is the sort of evidence I think we were
looking for, tho.

Eliot

---

From: Ted Lemon <[email-masked]>
Date: Wed, 19 Sep 2018 15:23:12 -0400

Barry, I don't know if this is really an HRPC topic.   FWIW, while I understand your concern, if you look at history, it tends to be the case that laws that treat people in ways that are obviously unfair are passed by minorities, not majorities.   There is no majority in the U.S. in favor of restricting womens' reproductive rights.   There is no majority in the U.S. in favor of treating gay marriages differently than straight marriages.

But both of these statements are about something new.   Historically, there were majorities for both of those things.   What changed was not that judges made decisions to protect the minority, although they did.   What changed was the culture.

The näiveté of the sixties was that we could just get the judiciary to protect our rights, and that we didn't actually have to make the case to the people as a whole.   We are paying the price for that now—relying on the judiciary to protect these rights has resulted in 30 years of squabbling over who sits on the court, which has been to nobody's benefit, and is the cause of our current trouble.

There is a tendency to think that if the law says X, X is decided, and we can count on it.   So with rights for example, if a right exists, then it has to be defended, and it will be defended, because it's a right.   But that's not how rights work.   Rights work because the majority agrees that they are rights.   This is how rights have appeared, seemingly out of nowhere, over the centuries.   The right to vote?   That wasn't granted by a judge.   The right to be free of enslavement?   That was the result of a long, hard effort by a bunch of people who were not loved by the general public at first, and who in some cases were murdered for their temerity.   Plus there was that whole war we fought over it.

So imagining that something as weak as the Supreme Court can protect our rights if we don't do the work to get the majority on our side is silly.

To go back to my original point, most people, when the laws were passed against these rights, if they hadn't been asked about gay rights or abortion rights, would have no strong opinion about either.   What got abortion outlawed, and what got gay relationships outlawed, were small minorities with an axe to grind working against these rights, and the large majority doing nothing, because they didn't really care one way or the other.

So in fact I agree with the Economist: if we want to protect civil rights, it's not enough to get a court to protect them.   We have to get the general public to protect them.

---

From: Ted Lemon <[email-masked]>
Date: Wed, 19 Sep 2018 15:24:51 -0400

> canned or soundbite argument for that.

No, that's a straw man argument.   Shadowboxing is solving a problem we think exists that isn't actually known to exist.   At least, I think that's what Eliot means by the term.

---

From: Ted Lemon <[email-masked]>
Date: Wed, 19 Sep 2018 15:34:08 -0400

On Sep 19, 2018, at 3:18 PM, Eliot Lear <lear=[email-masked]> wrote:
> If the terminology is facilitating
> this, then I'll sit down.

I thought I'd made this point earlier, but maybe not.   Is it actually facilitating abuse.   Admittedly we have no systematic data.   I don't know how we'd go about collecting it—one of the problems we have is that there really is substantial and very visible abuse of non-white-male programmers, but most people just give up and do something else rather than staying in the field, so there isn't a population out there that can easily be canvassed.

What evidence we do have is that people complained, anonymously, to python.org <http://python.org/>.   Redis did a poll of their membership and a majority (small) wanted to change the term.   We know that harassment of the type you're referencing is commonplace in the industry, so this term is certainly at a minimum an attractive nuisance.

It would be great to have more data, but this also seems pretty common-sensical.   If you have a term that can be used in abusive ways, and there's another term that you could use that doesn't have this property, it makes sense to use the other term.

---

From: Alp Toker <[email-masked]>
Date: Wed, 19 Sep 2018 23:01:49 +0300

> Hello from Denver, en route home. Yes. The topic of the list is human rights in protocol design. My point is that this is extremely hypothetical, and no instance of a specific human being with a sp…

I share Fred's concerns on this one.

As an RG, the prerogative of this list is to produce research that
establishes facts and advises the direction of protocol design in the
framework of human rights.

Bike-shedding and second guessing the priorities of under-represented
communities doesn't do much good, indeed there's plenty of evidence that
such discussions actually deny the agency of those groups (a phenomenon
I can vouch for through personal experience).

Members of this list have access to diverse technical/academic networks.
ISOC has over 110 active Chapters across six continents. These would
make good starting points for a consultation. Perhaps there are more
terms that are offensive - or perhaps these aren't the ones, or perhaps
the priorities are different altogether. We should hear those voices.

If terms like whitelist/blacklist are offensive to engineers across the
world, that's a good sign that it is time for change.

A.

-- 
https://netblocks.org
@atoker @netblocks

---

From: Ted Lemon <[email-masked]>
Date: Wed, 19 Sep 2018 16:04:04 -0400

> world, that's a good sign that it is time for change.

This one is pretty questionable.   I think that master/slave is not, though.

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 19 Sep 2018 16:24:44 -0400

That's interesting. I've seen several projects where moving away from these terms is utterly uncontroversial. 

Suggestion: I think this should be a discussion on ietf@, if people want to pursue it. Even if we were able to get consensus here (and some people seem to be arguing that it's out of scope), HRPC doesn't set policy for terminology at the IETF.

Cheers,

P.S. FWIW - I'm surprised that people are putting so much energy into stopping this. 

> On 19 Sep 2018, at 4:04 pm, Ted Lemon <[email-masked]> wrote:
>

---

From: Mark Perkins <[email-masked]>
Date: Wed, 19 Sep 2018 20:31:28 +0000 (UTC)

Totally agree that such terms should be changed BUT also agree that there should be a correct process - the call to poll ISOC Chapters re problematic terminology is an excellent idea
Mark P.

    On Thursday, September 20, 2018, 7:02:08 AM GMT+11, Alp Toker <[email-masked]> wrote:  

A.

-- 
https://netblocks.org
@atoker @netblocks

---

From: Ted Lemon <[email-masked]>
Date: Wed, 19 Sep 2018 21:50:55 -0400

On Sep 19, 2018, at 4:31 PM, Mark Perkins <[email-masked]> wrote
> Totally agree that such terms should be changed BUT also agree that there should be a correct process - the call to poll ISOC Chapters re problematic terminology is an excellent idea

I don't think ISOC has a pony in this race.   The reason for HRPC to work on this, if there is one, is to present a recommendation to the IETF to act on (or not).

---

From: Mark Perkins <[email-masked]>
Date: Thu, 20 Sep 2018 05:24:32 +0000 (UTC)

Ted
The point was to use ISOC Chapters as a sample group to do some research on the question of problematic protocol terminology, NOT to give them a 'pony' as you put it ;)
Mark P.

    On Thursday, September 20, 2018, 12:51:11 PM GMT+11, Ted Lemon <[email-masked]> wrote:

---

From: Niels ten Oever <[email-masked]>
Date: Thu, 20 Sep 2018 11:31:05 +0200

> P.S. FWIW - I'm surprised that people are putting so much energy into stopping this. 

I agreed with Marks assessment and posted the following to
[email-masked], maybe we can continue the discussion there.

Best,

Niels

-------- Forwarded Message --------
Subject: Diversity and offensive terminology in RFCs
Date: Thu, 20 Sep 2018 11:25:58 +0200
From: Niels ten Oever <[email-masked]>
To: [email-masked]

Hi all,

On the hrpc-list [0] there has been an intense conversation which was
spurred by the news that the Python community removed Master/Slave
terminology from its programming language [1].

In the discussion that followed it was remarked that in RFCs terms like
Master/Slave, blacklist/whitelist, man-in-middle, and other terminology
that is offensive to some people and groups is quite common.

This is not a discussion that can be resolved in hrpc, but rather should
be dealt with in the IETF community (because hrpc doesn't make policy
for terminology in the IETF), which is why I am posting this here.

If people find the discussion worthwhile, we might also be just in time
to request a BoF on this topic.

Looking forward to discuss.

Best,

Niels

[0] https://mailarchive.ietf.org/arch/browse/hrpc/
[1]
https://motherboard.vice.com/en_us/article/8x7akv/masterslave-terminology-was-removed-from-python-programming-language

---

From: Eliot Lear <[email-masked]>
Date: Thu, 20 Sep 2018 12:59:07 +0200

> P.S. FWIW - I'm surprised that people are putting so much energy into stopping this. 

Asking for data takes very little effort.  Providing the data apparently
takes quite a lot.

---

From: Alp Toker <[email-masked]>
Date: Thu, 20 Sep 2018 14:47:02 +0300

On 20/09/2018 04:50, Ted Lemon wrote:

> On Sep 19, 2018, at 4:31 PM, Mark Perkins <[email-masked]
> <mailto:[email-masked]>> wrote
>> Totally agree that such terms should be changed BUT also agree that
>> there should be a correct process - the call to poll ISOC Chapters re
>> problematic terminology is an excellent idea
>
> I don't think ISOC has a pony in this race.   The reason for HRPC to
> work on this, if there is one, is to present a recommendation to the
> IETF to act on (or not).
>
>
The ISOC technical community is certainly invested and affected by the
outcome of this discussion as an audience of IETF specifications. This
global resource exists at the disposal of IRTF and would stand ready to
provide empirical data whether by formal consultation or a straw poll.

If language is really a problem for communities around the world, then
empirical data and real-world experiences will help present a compelling
case to IETF, and present it consistently without a North American or
Western European slant.

On the other hand, if this turns out not to be a priority issue it will
save a whole lot of engineering time and documentation churn to
establish that from the outset and move on to other issues.

What's becoming clear from this exchange is that there is no clear path
to consensus without inviting input from those engineers who are
affected by the decision.

A.

-- 
https://netblocks.org
@atoker @netblocks

---

From: Mallory Knodel <[email-masked]>
Date: Thu, 20 Sep 2018 16:06:44 +0300

On 19/09/18 22:18, Eliot Lear wrote:
> individual

I'm going to stop you right there.

It's wrong for individuals in an oppressive class to place themselves as
the arbiters of what is "real" or "actual" offense against a target class.

In this instance we are attempting to eradicate offense, not itemise and
catalog it.

It's certainly enough for me, and others who have posted on this thread,
that it has been identified as offensive within other communities. It's
motivating that then something was done about it.

-Mallory

---

From: John Curran <[email-masked]>
Date: Thu, 20 Sep 2018 09:53:22 -0400

> the arbiters of what is "real" or "actual" offense against a target class.

Mallory - 

In the above sentence, do you mean “arbiters of what content/behavior may be offensive to others” ?  If so, then I strongly agree: individuals (and groups of individuals) have freedom to take offensive at anything as they feel appropriate.

However, you might mean "arbiters of what content/behavior is deemed an offense against others” (i.e. a harm)…  

If this was your point, I cannot agree, since while it is true that “members of an oppressive class” should not be solely determining what constitutes a harm, neither should that be solely up to those who feel offended.  The overall judgement is must be based on the balance of norms and laws of the society in which the behavior occurred. 

> motivating that then something was done about it.

Again, I cannot automatically concur that it is appropriate to "do something" about content/behavior solely because some find it offensive…  There is an extremely steep and slippery slope which we enter when the language offensive to any segment of the community automatically is equated to a harm that must be remediated – a situation wherein freedom of speech enjoyed by all (and deemed overall acceptable by community norms) can be lost as a result. 

Thank you,
/John

p.s. Disclaimers:  Personal views alone.  This content is composed of 100% recycled electrons.  Do not read this email while driving.

---

From: Ted Lemon <[email-masked]>
Date: Thu, 20 Sep 2018 09:56:28 -0400

I don’t see why they would be a representative population sample. If a
study were to be designed, serious thought would have to be put into this.

On Thu, Sep 20, 2018 at 1:24 AM Mark Perkins <[email-masked]> wrote:

> Ted
>
> The point was to use ISOC Chapters as a sample group to do some research
> on the question of problematic protocol terminology, NOT to give them a
> 'pony' as you put it ;)
>
> Mark P.
>
> Totally agree that such terms should be changed BUT also agree that there
> should be a correct process - the call to poll ISOC Chapters re problematic
> terminology is an excellent idea
>
>
> I don't think ISOC has a pony in this race.   The reason for HRPC to work
> on this, if there is one, is to present a recommendation to the IETF to act
> on (or not).
>
>

---

From: Ted Lemon <[email-masked]>
Date: Thu, 20 Sep 2018 10:09:20 -0400

John, “find it offensive” is the wrong metric. The right metric is “are
harmed because the terminology is in use.”  The problem comes when the
terminology can be used to abuse interested parties, not when interested
parties would prefer not to hear it. This may feel like a fine distinction,
but it’s not.

What it means to be offended by some speech is that the speech is
unacceptable to you. This type of offense is generally used to oppress, and
is not a reaction to oppression. For example, “I am offended that you used
that coarse language, and now we must exclude you from our polite company.”

What it means to be harmed by the speech is that the speech is being used
as a way to harass or abuse. For example, the dominatrix comment mentioned
earlier.  Or the use of the term by one co-worker to harass another
co-worker, using the technical meaning as cover.

On Thu, Sep 20, 2018 at 9:53 AM John Curran <[email-masked]> wrote:

> In the above sentence, do you mean “arbiters of what content/behavior may
> be offensive to others” ?  If so, then I strongly agree: individuals (and
> groups of individuals) have freedom to take offensive at anything as they
> feel appropriate.
>
> If this was your point, I cannot agree, since while it is true that
> “members of an oppressive class” should not be solely determining what
> constitutes a harm, neither should that be solely up to those who feel
> offended.  The overall judgement is must be based on the balance of norms
> and laws of the society in which the behavior occurred.
>
> Again, I cannot automatically concur that it is appropriate to "do
> something" about content/behavior solely because some find it offensive…
> There is an extremely steep and slippery slope which we enter when the
> language offensive to any segment of the community automatically is equated
> to a harm that must be remediated – a situation wherein freedom of speech
> enjoyed by all (and deemed overall acceptable by community norms) can be
> lost as a result.
>
> Thank you,
> /John
>
> p.s. Disclaimers:  Personal views alone.  This content is composed of 100%
> recycled electrons.  Do not read this email while driving.
>

---

From: John Curran <[email-masked]>
Date: Thu, 20 Sep 2018 10:23:42 -0400

On 20 Sep 2018, at 10:09 AM, Ted Lemon <[email-masked]> wrote:
> 
> John, “find it offensive” is the wrong metric. The right metric is “are harmed because the terminology is in use.”  The problem comes when the terminology can be used to abuse interested parties, not when interested parties would prefer not to hear it. This may feel like a fine distinction, but it’s not.  

“Terminology can be used to abuse interested parties” is a very large space… 
(just as kitchen implements that _can be used to abuse others_ is much larger space than items that are recognized as dangerous weapons)

> What it means to be harmed by the speech is that the speech is being used as a way to harass or abuse..

In which case, wouldn’t the harm be the result of the (mis)use, rather than the words themselves?

Whether the servers are arranged as a "master/slave configuration" or in a "primary/secondary configuration" doesn’t cause harm, it’s the usage of the term “slave” or “secondary” to characterize others (or their views/feelings/priorities) that would appear to the problem. 

/John

p.s.  Disclaimers:  My views alone.  Do not ponder while operating heavy machinery.  No animals were harmed in the production of this email.

---

From: Eliot Lear <[email-masked]>
Date: Thu, 20 Sep 2018 17:39:58 +0200

Hi Ted,

Thank you for actually swinging this Research Group back into a
discussion that has at least some research aspect to it.  Please see below.

On 20.09.18 16:09, Ted Lemon wrote:
> John, “find it offensive” is the wrong metric. The right metric is
> “are harmed because the terminology is in use.” 

There is a body of work on whether harm is incurred.  An example of such
a work is [1]. 

> The problem comes when the terminology can be used to abuse interested
> parties, not when interested parties would prefer not to hear it. This
> may feel like a fine distinction, but it’s not.

I run the attendant risks of being well outside my swimming lane,  at
least [1] seems to confirm your view, that this harm is highly
contextual.  I won't say that is dispositive- I'm not in that field.

[...]
> What it means to be harmed by the speech is that the speech is being
> used as a way to harass or abuse. For example, the dominatrix comment
> mentioned earlier.  Or the use of the term by one co-worker to harass
> another co-worker, using the technical meaning as cover.

This is the case that does bother me, as I wrote earlier.  If that is an
isolated case, I think we should treat it as such, but if it is
emblematic of substantial abuse, that is quite a different matter. 
Contrary to other people's assertions, that case has not been made.  One
can easily find an extreme example here.  There are simply some words
and phrases that we would never use in either formal or informal
communications, precisely because they are unambiguously offensive where
their use demonstrates intent.  And then there is everything else.  I
don't know how much research has been done in this space, but if that is
the work this RG wants to do, alright. 

I would hope that we don't lose sight of other work as well in the
process, like the tussles occurring over special access/encryption/...
to name but one.

Eliot

[1] Jay, T. (2009). Do offensive words harm people? /Psychology, Public
Policy, and Law, 15/(2), 81-101.
http://dx.doi.org/10.1037/a0015646
<http://psycnet.apa.org/doi/10.1037/a0015646>

---

From: [email-masked]
Date: Thu, 20 Sep 2018 13:28:46 -0400

On September 20, 2018 at 09:56 [email-masked] (Ted Lemon) wrote:
 > I don’t see why they would be a representative population sample. If a study
 > were to be designed, serious thought would have to be put into this. 

Re: polling ISOC chapters

Point of Information: To the best of my knowledge Boston, MA does not
have an ISOC chapter.

-- 
        -Barry Shein

---

From: Melinda Shore <[email-masked]>
Date: Thu, 20 Sep 2018 09:42:21 -0800

> Point of Information: To the best of my knowledge Boston, MA does not

We don't in Alaska, and I'd expect that folks from the very large
indigenous community up here to have some views on this that might
be worth listening to.

Melinda

-- 
Melinda Shore
[email-masked]

---

From: Mark Perkins <[email-masked]>
Date: Thu, 20 Sep 2018 22:11:27 +0000 (UTC)

I totally agree that ISOC chapters would not be a 'representative' sample group - as many have pointed out. BUT

1) It is 'a' sample group (which is what I called it in the first place)
2) Any sample group I can think of will not be representative
3) Such a survey (or poll) will be indicative & qualative rather than 'accurate)
4) Lacunae in any chosen sample group could be partly addressed by adding other sample groups (ideas for Alaska, etc. anyone ?)

Mark P.

    On Friday, September 21, 2018, 4:42:37 AM GMT+11, Melinda Shore <[email-masked]> wrote:  

Melinda

---

From: Ted Lemon <[email-masked]>
Date: Thu, 20 Sep 2018 21:03:54 -0400

ISTM such a poll would most likely be harmful. If you want data, use a
methodology that will produce data that answers the question. Otherwise the
only thing that the data can do is make us more ignorant.   For example,
suppose there isn't anybody at an ISOC chapter who has a problem with this
terminology.   Do we conclude that there is no problem?   It's a term that
is differently problematic in different countries, and ISOC is an
international organization, with, I suspect, more chapters outside of the
country where the particular terminology that started this conversation is
problematic than in it.   So if we get a few yes answers, but a lot of no
answers, does that mean that it's a very small problem?   The answer is
that we don't know.   Studies like this result in us knowing less, not more.

On Thu, Sep 20, 2018 at 6:11 PM Mark Perkins <marknoumea=
[email-masked]> wrote:

> 4) Lacunae in any chosen sample group could be partly addressed by adding
> other sample groups (ideas for Alaska, etc. anyone ?)
>
> Mark P.
>

---

From: Alp Toker <[email-masked]>
Date: Fri, 21 Sep 2018 19:36:59 +0300

On 21/09/2018 04:03, Ted Lemon wrote:

> methodology that will produce data that answers the question.
> Otherwise the only thing that the data can do is make us more
> ignorant.   For example, suppose there isn't anybody at an ISOC
> chapter who has a problem with this terminology.   Do we conclude that
> there is no problem?   It's a term that is differently problematic in
> different countries, and ISOC is an international organization, with,
> I suspect, more chapters outside of the country where the particular
> terminology that started this conversation is problematic than in it. 
>  So if we get a few yes answers, but a lot of no answers, does that
> mean that it's a very small problem?   The answer is that we don't
> know.   Studies like this result in us knowing less, not more.

The suggestion that studies and consultations with under-represented
groups could result in a loss of knowledge seems harmful, even obscurist.

A.

>
> On Thu, Sep 20, 2018 at 6:11 PM Mark Perkins
> <marknoumea=[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     I totally agree that ISOC chapters would not be a 'representative'
>     sample group - as many have pointed out. BUT
>
>     4) Lacunae in any chosen sample group could be partly addressed by
>     adding other sample groups (ideas for Alaska, etc. anyone ?)
>
>     Mark P.
>
>     On Friday, September 21, 2018, 4:42:37 AM GMT+11, Melinda Shore
>     <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>
>     On 9/20/18 9:28 AM, [email-masked] <mailto:[email-masked]> wrote:
>     [email-masked] <mailto:[email-masked]>
>
>     [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

-- 
https://netblocks.org
@atoker @netblocks

---

From: Ted Lemon <[email-masked]>
Date: Fri, 21 Sep 2018 15:08:18 -0400

I agre, but that’s not what we were talking about.

On Fri, Sep 21, 2018 at 12:37 PM Alp Toker <[email-masked]> wrote:

> hrpc mailing [email-masked]://www.irtf.org/mailman/listinfo/hrpc
>
> -- https://netblocks.org
> @atoker @netblocks
>
>

---

From: Alp Toker <[email-masked]>
Date: Sat, 22 Sep 2018 01:05:59 +0300

The only concrete criticism you've presented of the proposal to poll, is
"what if nobody has a problem with the terminology?"

ISOC is a progressive community, so indeed, it is just as you say: a
negative result would be a strong indicator that this is a non-problem.

I suspect the outcome will be more nuanced in practice. We might learn a
thing or two about the people who read and work with the engineering
outputs of IETF. It might even advise the HRPC mission as a whole.

It's also worth noting, those of us with a human rights background will
be approaching this in a human rights context, with slavery as a
priority issue[1] in the Middle East, the Indian subcontinent, Africa,
Asia and some parts of Eastern Europe[2].

We've seen cases where teams of unpaid engineers, rounded up alongside
their partners and children, working in chattel with their passports
taken away as direct implementers and consumers of IETF specifications -
so harm caused by non-functional elements of any specification text is
entirely plausible where those two conditions exist concurrently.

Most countries identified as high-risk for slavery and human trafficking
are well-represented by at least one, if not multiple ISOC chapters. I
know frustration or discomfort to communities that have a historic
connection with these issues has also been brought up, but would caution
that those don't strictly fall within the remit of international human
rights frameworks. If a strong case exists for the former, the latter
will be brought along so this shouldn't be a problem.

[1]
https://www.ohchr.org/EN/NewsEvents/Pages/DisplayNews.aspx?NewsID=14698&LangID=E

[2]
https://diplomatie-humanitaire.org/en/ab-gallagher-at-combatting-slavery-is-a-priority/

A.

On 21/09/2018 22:08, Ted Lemon wrote:
> On Fri, Sep 21, 2018 at 12:37 PM Alp Toker <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>>     ISTM such a poll would most likely be harmful. If you want data,
>>     use a methodology that will produce data that answers the
>>     question. Otherwise the only thing that the data can do is make
>>     us more ignorant.   For example, suppose there isn't anybody at
>>     an ISOC chapter who has a problem with this terminology.   Do we
>>     conclude that there is no problem?   It's a term that is
>>     differently problematic in different countries, and ISOC is an
>>     international organization, with, I suspect, more chapters
>>     outside of the country where the particular terminology that
>>     started this conversation is problematic than in it.   So if we
>>     get a few yes answers, but a lot of no answers, does that mean
>>     that it's a very small problem?   The answer is that we don't
>     The suggestion that studies and consultations with
>     under-represented groups could result in a loss of knowledge seems
>     harmful, even obscurist.
>
>
>     A.
>
>
>
>>
>>         I totally agree that ISOC chapters would not be a
>>         'representative' sample group - as many have pointed out. BUT
>>
>>         4) Lacunae in any chosen sample group could be partly
>>         addressed by adding other sample groups (ideas for Alaska,
>>         etc. anyone ?)
>>
>>         Mark P.
>>
>>         On Friday, September 21, 2018, 4:42:37 AM GMT+11, Melinda
>>         Shore <[email-masked]
>>         <mailto:[email-masked]>
>>

-- 
https://netblocks.org
@atoker @netblocks

---

From: Ted Lemon <[email-masked]>
Date: Fri, 21 Sep 2018 18:06:51 -0400

The criticism is that it’s not a representative sample.

On Fri, Sep 21, 2018 at 6:06 PM Alp Toker <[email-masked]> wrote:

> It's also worth noting, those of us with a human rights background will be
> approaching this in a human rights context, with slavery as a priority
> issue[1] in the Middle East, the Indian subcontinent, Africa, Asia and some
> parts of Eastern Europe[2].
>
> their partners and children, working in chattel with their passports taken
> away as direct implementers and consumers of IETF specifications - so harm
> caused by non-functional elements of any specification text is entirely
> plausible where those two conditions exist concurrently.
>
> are well-represented by at least one, if not multiple ISOC chapters. I know
> frustration or discomfort to communities that have a historic connection
> with these issues has also been brought up, but would caution that those
> don't strictly fall within the remit of international human rights
> frameworks. If a strong case exists for the former, the latter will be
> brought along so this shouldn't be a problem.
>
> [1]

---

From: Alp Toker <[email-masked]>
Date: Sat, 22 Sep 2018 01:21:57 +0300

> The criticism is that it’s not a representative sample.

The proposal offers a way to reach out and engage engineering
communities that are in daily contact with victims, as well as those who
may have an indirect or historic connection with the issue whose voices
would be worth hearing out.

Did you have a better suggestion?

>
> On Fri, Sep 21, 2018 at 6:06 PM Alp Toker <[email-masked]
>     The only concrete criticism you've presented of the proposal to
>     poll, is "what if nobody has a problem with the terminology?"
>
>     ISOC is a progressive community, so indeed, it is just as you say:
>     a negative result would be a strong indicator that this is a
>     non-problem.
>
>     I suspect the outcome will be more nuanced in practice. We might
>     learn a thing or two about the people who read and work with the
>     engineering outputs of IETF. It might even advise the HRPC mission
>     as a whole.
>
>     It's also worth noting, those of us with a human rights background
>     will be approaching this in a human rights context, with slavery
>     as a priority issue[1] in the Middle East, the Indian
>     subcontinent, Africa, Asia and some parts of Eastern Europe[2].
>
>     We've seen cases where teams of unpaid engineers, rounded up
>     alongside their partners and children, working in chattel with
>     their passports taken away as direct implementers and consumers of
>     IETF specifications - so harm caused by non-functional elements of
>     any specification text is entirely plausible where those two
>     conditions exist concurrently.
>
>     Most countries identified as high-risk for slavery and human
>     trafficking are well-represented by at least one, if not multiple
>     ISOC chapters. I know frustration or discomfort to communities
>     that have a historic connection with these issues has also been
>     brought up, but would caution that those don't strictly fall
>     within the remit of international human rights frameworks. If a
>     strong case exists for the former, the latter will be brought
>     along so this shouldn't be a problem.
>
>     [1]
>>>         ISTM such a poll would most likely be harmful. If you want
>>>         data, use a methodology that will produce data that answers
>>>         the question. Otherwise the only thing that the data can do
>>>         is make us more ignorant.   For example, suppose there isn't
>>>         anybody at an ISOC chapter who has a problem with this
>>>         terminology.   Do we conclude that there is no problem? 
>>>          It's a term that is differently problematic in different
>>>         countries, and ISOC is an international organization, with,
>>>         I suspect, more chapters outside of the country where the
>>>         particular terminology that started this conversation is
>>>         problematic than in it.   So if we get a few yes answers,
>>>         but a lot of no answers, does that mean that it's a very
>>>         small problem?   The answer is that we don't know.   Studies
>>>         like this result in us knowing less, not more.
>>
>>         under-represented groups could result in a loss of knowledge
>>         seems harmful, even obscurist.
>>
>>
>>         A.
>>
>>
>>
>>>
>>>             addressed by adding other sample groups (ideas for
>>>             Alaska, etc. anyone ?)
>>>
>>>             Mark P.
>>>
>>>             On Friday, September 21, 2018, 4:42:37 AM GMT+11,
>>>             Melinda Shore <[email-masked]

-- 
https://netblocks.org
@atoker @netblocks

---

From: [email-masked]
Date: Sun, 23 Sep 2018 17:45:42 -0400

> The criticism is that it’s not a representative sample. 

Many years ago I worked in epidemiological research, specifically
occupational exposures (at Harvard.) We worked with from 1,000 to
10,000 or more subjects as a normal matter, I think Mr Fit (some
principles were down the hall) had over 100,000 subjects.

A term which comes up is "clinical" studies. We see it all the time.

What classifies something as a "clinical" study is the tiny "N",
sometimes less than a dozen subjects.

Consider that next time you see a phrase like "clinical studies have
shown..." in medical etc advertising.

The basic philosophy in the medical research community was that so
long as one was fully transparent in their methodology then it was ok.

And if someone read more into a study than was justfied that was
unfortunate.

-- 
        -Barry Shein

---

From: Ted Lemon <[email-masked]>
Date: Sun, 23 Sep 2018 18:08:07 -0400

Yes, and your comment about news reports on clinical studies shows how
fallacious that reasoning was!  :)